### BSP Description

BSP Type: | ucosii
SOPC Design File: | ..\..\main_qsys.sopcinfo
Quartus JDI File: | default
CPU: | nios2
BSP Settings File: | .\settings.bsp
BSP Version: | default
BSP Generated On: | 2025-1-19 14:26:34
BSP Generated Timestamp: | 1737267994548
BSP Generated Location: | E:\workspace\zhangyz\cycloneV_SOCdemo\par\software\demo_bsp

### Nios II Memory Map

Slave Descriptor | Address Range | Size | Attributes
--- | --- | --- | ---
sysid_qsys_0 | 0x20006208 - 0x2000620F | 8 |
peripheral_jtag_uart | 0x200061A8 - 0x200061AF | 8 | printable
peripheral_led_pio | 0x20006190 - 0x2000619F | 16 |
peripheral_button_pio | 0x20006180 - 0x2000618F | 16 |
peripheral_high_res_timer | 0x20006160 - 0x2000617F | 32 | timer
peripheral_sys_clk_timer | 0x20006140 - 0x2000615F | 32 | timer
peripheral_performance_counter | 0x20006100 - 0x2000613F | 64 |
ethernet_subsystem_msgdma_rx_csr | 0x20005460 - 0x2000547F | 32 |
ethernet_subsystem_msgdma_tx_csr | 0x20005440 - 0x2000545F | 32 |
ethernet_subsystem_msgdma_rx_prefetcher_csr | 0x20005420 - 0x2000543F | 32 |
ethernet_subsystem_msgdma_tx_prefetcher_csr | 0x20005400 - 0x2000541F | 32 |
ethernet_subsystem_tse_mac | 0x20005000 - 0x200053FF | 1024 |
ethernet_subsystem_descriptor_memory | 0x20002000 - 0x20003FFF | 8192 | memory
sdram | 0x00000000 - 0x1FFFFFFF | 536870912 | memory

### Linker Regions

Region | Address Range | Size | Memory | Offset
--- | --- | --- | --- | ---

### Linker Section Mappings

Section | Region
--- | ---
.text | sdram
.rodata | sdram
.rwdata | sdram
.bss | sdram
.heap | sdram
.stack | sdram

### Software Packages

Software Package | Version
--- | ---
altera_iniche | default

### Settings

Setting Name: | altera_avalon_jtag_uart_driver.enable_jtag_uart_ignore_fifo_full_error
Identifier: | ALTERA_AVALON_JTAG_UART_IGNORE_FIFO_FULL_ERROR
Default Value: | false
Value: | false
Type: | BooleanDefineOnly
Destination: | public_mk_define
Description: | Enable JTAG UART driver to recover when host is inactive causing buffer to full without returning error. Printf will not fail with this recovery.
Restrictions: | none

Setting Name: | altera_avalon_jtag_uart_driver.enable_small_driver
Identifier: | ALTERA_AVALON_JTAG_UART_SMALL
Default Value: | false
Value: | false
Type: | BooleanDefineOnly
Destination: | public_mk_define
Description: | Small-footprint (polled mode) driver
Restrictions: | none

Setting Name: | altera_eth_tse_driver_ucosii_iniche.autoneg_timeout
Identifier: | ALTERA_AUTONEG_TIMEOUT_THRESHOLD
Default Value: | 2500
Value: | 2500
Type: | DecimalNumber
Destination: | public_mk_define
Description: | Auto Negotiation Timeout in milliseconds
Restrictions: | none

Setting Name: | altera_eth_tse_driver_ucosii_iniche.checklink_timeout
Identifier: | ALTERA_CHECKLINK_TIMEOUT_THRESHOLD
Default Value: | 10000
Value: | 10000
Type: | DecimalNumber
Destination: | public_mk_define
Description: | CheckLink Timeout in milliseconds
Restrictions: | none

Setting Name: | altera_eth_tse_driver_ucosii_iniche.nomdio_timeout
Identifier: | ALTERA_NOMDIO_TIMEOUT_THRESHOLD
Default Value: | 1000000
Value: | 1000000
Type: | DecimalNumber
Destination: | public_mk_define
Description: | "No MDIO" Timeout in microseconds
Restrictions: | none

Setting Name: | altera_iniche.enable_dhcp_client
Identifier: | DHCP_CLIENT
Default Value: | true
Value: | true
Type: | BooleanDefineOnly
Destination: | system_h_define
Description: | Use DHCP to automatically assign IP address
Restrictions: | none

Setting Name: | altera_iniche.enable_include_tcp
Identifier: | INCLUDE_TCP
Default Value: | true
Value: | true
Type: | BooleanDefineOnly
Destination: | system_h_define
Description: | Enable TCP protocol
Restrictions: | none

Setting Name: | altera_iniche.enable_ip_fragments
Identifier: | IP_FRAGMENTS
Default Value: | true
Value: | true
Type: | BooleanDefineOnly
Destination: | system_h_define
Description: | Reassemble IP packet fragments
Restrictions: | none

Setting Name: | altera_iniche.enable_net_stats
Identifier: | NET_STATS
Default Value: | false
Value: | false
Type: | BooleanDefineOnly
Destination: | system_h_define
Description: | Enable statistics
Restrictions: | none

Setting Name: | altera_iniche.enable_tcp_zerocopy
Identifier: | TCP_ZEROCOPY
Default Value: | false
Value: | false
Type: | BooleanDefineOnly
Destination: | system_h_define
Description: | Use TCP zero-copy
Restrictions: | none

Setting Name: | altera_iniche.iniche_default_if
Identifier: | INICHE_DEFAULT_IF
Default Value: | NOT_USED
Value: | NOT_USED
Type: | QuotedString
Destination: | system_h_define
Description: | Deprecated setting: Default MAC interface. This setting was formerly used by Altera networking example applications. It need not be assigned a valid value for the use of networking example designs in Nios II 8.0. If you are using this setting in a project, it is recomended that you remove the dependency. This setting may be removed in a future release.
Restrictions: | none

Setting Name: | hal.custom_newlib_flags
Identifier: | CUSTOM_NEWLIB_FLAGS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | public_mk_define
Description: | Build a custom version of newlib with the specified space-separated compiler flags.
Restrictions: | The custom newlib build will be placed in the <bsp root>/newlib directory, and will be used only for applications that utilize this BSP.

Setting Name: | hal.enable_c_plus_plus
Identifier: | ALT_NO_C_PLUS_PLUS
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | public_mk_define
Description: | Enable support for a subset of the C++ language. This option increases code footprint by adding support for C++ constructors. Certain features, such as multiple inheritance and exceptions are not supported. If false, adds -DALT_NO_C_PLUS_PLUS to ALT_CPPFLAGS in public.mk, and reduces code footprint.
Restrictions: | none

Setting Name: | hal.enable_clean_exit
Identifier: | ALT_NO_CLEAN_EXIT
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | public_mk_define
Description: | When your application exits, close file descriptors, call C++ destructors, etc. Code footprint can be reduced by disabling clean exit. If disabled, adds -DALT_NO_CLEAN_EXIT to ALT_CPPFLAGS -D'exit(a)=_exit(a)' in public.mk.
Restrictions: | none

Setting Name: | hal.enable_exit
Identifier: | ALT_NO_EXIT
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | public_mk_define
Description: | Add exit() support. This option increases code footprint if your "main()" routine does "return" or call "exit()". If false, adds -DALT_NO_EXIT to ALT_CPPFLAGS in public.mk, and reduces footprint
Restrictions: | none

Setting Name: | hal.enable_gprof
Identifier: | ALT_PROVIDE_GMON
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Causes code to be compiled with gprof profiling enabled and the application ELF to be linked with the GPROF library. If true, adds -DALT_PROVIDE_GMON to ALT_CPPFLAGS and -pg to ALT_CFLAGS in public.mk.
Restrictions: | none

Setting Name: | hal.enable_instruction_related_exceptions_api
Identifier: | ALT_INCLUDE_INSTRUCTION_RELATED_EXCEPTION_API
Default Value: | false
Value: | true
Type: | BooleanDefineOnly
Destination: | system_h_define
Description: | Enables API for registering handlers to service instruction-related exceptions. Enabling this setting increases the size of the exception entry code.
Restrictions: | These exception types can be generated if various processor options are enabled, such as the MMU, MPU, or other advanced exception types.

Setting Name: | hal.enable_lightweight_device_driver_api
Identifier: | ALT_USE_DIRECT_DRIVERS
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enables lightweight device driver API. This reduces code and data footprint by removing the HAL layer that maps device names (e.g. /dev/uart0) to file descriptors. Instead, driver routines are called directly. The open(), close(), and lseek() routines will always fail if called. The read(), write(), fstat(), ioctl(), and isatty() routines only work for the stdio devices. If true, adds -DALT_USE_DIRECT_DRIVERS to ALT_CPPFLAGS in public.mk.
Restrictions: | The Altera Host and read-only ZIP file systems can't be used if hal.enable_lightweight_device_driver_api is true.

Setting Name: | hal.enable_mul_div_emulation
Identifier: | ALT_NO_INSTRUCTION_EMULATION
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Adds code to emulate multiply and divide instructions in case they are executed but aren't present in the CPU. Normally this isn't required because the compiler won't use multiply and divide instructions that aren't present in the CPU. If false, adds -DALT_NO_INSTRUCTION_EMULATION to ALT_CPPFLAGS in public.mk.
Restrictions: | none

Setting Name: | hal.enable_reduced_device_drivers
Identifier: | ALT_USE_SMALL_DRIVERS
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Certain drivers are compiled with reduced functionality to reduce code footprint. Not all drivers observe this setting. The altera_avalon_uart and altera_avalon_jtag_uart drivers switch from interrupt-driven to polled operation. CAUTION: Several device drivers are disabled entirely. These include the altera_avalon_cfi_flash, altera_avalon_epcs_flash_controller, and altera_avalon_lcd_16207 drivers. This can result in certain API (HAL flash access routines) to fail. You can define a symbol provided by each driver to prevent it from being removed. If true, adds -DALT_USE_SMALL_DRIVERS to ALT_CPPFLAGS in public.mk.
Restrictions: | none

Setting Name: | hal.enable_runtime_stack_checking
Identifier: | ALT_STACK_CHECK
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Turns on HAL runtime stack checking feature. Enabling this setting causes additional code to be placed into each subroutine call to generate an exception if a stack collision occurs with the heap or statically allocated data. If true, adds -DALT_STACK_CHECK and -fstack-limit-register=et to ALT_CPPFLAGS in public.mk.
Restrictions: | none

Setting Name: | hal.enable_sim_optimize
Identifier: | ALT_SIM_OPTIMIZE
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | The BSP is compiled with optimizations to speedup HDL simulation such as initializing the cache, clearing the .bss section, and skipping long delay loops. If true, adds -DALT_SIM_OPTIMIZE to ALT_CPPFLAGS in public.mk.
Restrictions: | When this setting is true, the BSP shouldn't be used to build applications that are expected to run real hardware.

Setting Name: | hal.enable_small_c_library
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Causes the small newlib (C library) to be used. This reduces code and data footprint at the expense of reduced functionality. Several newlib features are removed such as floating-point support in printf(), stdin input routines, and buffered I/O. The small C library is not compatible with Micrium MicroC/OS-II. If true, adds -msmallc to ALT_LDFLAGS in public.mk.
Restrictions: | none

Setting Name: | hal.enable_sopc_sysid_check
Identifier: | none
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | public_mk_define
Description: | Enable SOPC Builder System ID. If a System ID SOPC Builder component is connected to the CPU associated with this BSP, it will be enabled in the creation of command-line arguments to download an ELF to the target. Otherwise, system ID and timestamp values are left out of public.mk for application Makefile "download-elf" target definition. With the system ID check disabled, the Nios II EDS tools will not automatically ensure that the application .elf file (and BSP it is linked against) corresponds to the hardware design on the target. If false, adds --accept-bad-sysid to SOPC_SYSID_FLAG in public.mk.
Restrictions: | none

Setting Name: | hal.linker.allow_code_at_reset
Identifier: | ALT_ALLOW_CODE_AT_RESET
Default Value: | 0
Value: | 1
Type: | Boolean
Destination: | none
Description: | Indicates if initialization code is allowed at the reset address. If true, defines the macro ALT_ALLOW_CODE_AT_RESET in linker.h.
Restrictions: | If true, defines the macro ALT_ALLOW_CODE_AT_RESET in linker.h. This setting is typically false if an external bootloader (e.g. flash bootloader) is present.

Setting Name: | hal.linker.enable_alt_load
Identifier: | none
Default Value: | 0
Value: | 1
Type: | Boolean
Destination: | none
Description: | Enables the alt_load() facility. The alt_load() facility copies data sections (.rodata, .rwdata, or .exceptions) from boot memory to RAM. If true, this setting sets up the VMA/LMA of sections in linker.x to allow them to be loaded into the .text memory.
Restrictions: | This setting is typically false if an external bootloader (e.g. flash bootloader) is present.

Setting Name: | hal.linker.enable_alt_load_copy_exceptions
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | none
Description: | Causes the alt_load() facility to copy the .exceptions section. If true, this setting defines the macro ALT_LOAD_COPY_EXCEPTIONS in linker.h.
Restrictions: | none

Setting Name: | hal.linker.enable_alt_load_copy_rodata
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | none
Description: | Causes the alt_load() facility to copy the .rodata section. If true, this setting defines the macro ALT_LOAD_COPY_RODATA in linker.h.
Restrictions: | none

Setting Name: | hal.linker.enable_alt_load_copy_rwdata
Identifier: | none
Default Value: | 0
Value: | 1
Type: | Boolean
Destination: | none
Description: | Causes the alt_load() facility to copy the .rwdata section. If true, this setting defines the macro ALT_LOAD_COPY_RWDATA in linker.h.
Restrictions: | none

Setting Name: | hal.linker.enable_exception_stack
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | none
Description: | Enables use of a separate exception stack. If true, defines the macro ALT_EXCEPTION_STACK in linker.h, adds a memory region called exception_stack to linker.x, and provides the symbols __alt_exception_stack_pointer and __alt_exception_stack_limit in linker.x.
Restrictions: | The hal.linker.exception_stack_size and hal.linker.exception_stack_memory_region_name settings must also be valid. This setting must be false for MicroC/OS-II BSPs. The exception stack can be used to improve interrupt and other exception performance if the EIC is *not* used.

Setting Name: | hal.linker.enable_interrupt_stack
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | none
Description: | Enables use of a separate interrupt stack. If true, defines the macro ALT_INTERRUPT_STACK in linker.h, adds a memory region called interrupt_stack to linker.x, and provides the symbols __alt_interrupt_stack_pointer and __alt_interrupt_stack_limit in linker.x.
Restrictions: | The hal.linker.interrupt_stack_size and hal.linker.interrupt_stack_memory_region_name settings must also be valid. This setting must be false for MicroC/OS-II BSPs. Only enable if the EIC is used exclusively. The exception stack can be used to improve interrupt and other exception performance if the EIC is *not* used.

Setting Name: | hal.linker.exception_stack_memory_region_name
Identifier: | none
Default Value: | none
Value: | sdram
Type: | UnquotedString
Destination: | none
Description: | Name of the existing memory region that will be divided up to create the 'exception_stack' memory region. The selected region name will be adjusted automatically when the BSP is generated to create the 'exception_stack' memory region.
Restrictions: | Only used if hal.linker.enable_exception_stack is true.

Setting Name: | hal.linker.exception_stack_size
Identifier: | none
Default Value: | 1024
Value: | 1024
Type: | DecimalNumber
Destination: | none
Description: | Size of the exception stack in bytes.
Restrictions: | Only used if hal.linker.enable_exception_stack is true.

Setting Name: | hal.linker.interrupt_stack_memory_region_name
Identifier: | none
Default Value: | none
Value: | sdram
Type: | UnquotedString
Destination: | none
Description: | Name of the existing memory region that will be divided up to create the 'interrupt_stack' memory region. The selected region name will be adjusted automatically when the BSP is generated to create the 'interrupt_stack' memory region.
Restrictions: | Only used if hal.linker.enable_interrupt_stack is true.

Setting Name: | hal.linker.interrupt_stack_size
Identifier: | none
Default Value: | 1024
Value: | 1024
Type: | DecimalNumber
Destination: | none
Description: | Size of the interrupt stack in bytes.
Restrictions: | Only used if hal.linker.enable_interrupt_stack is true.

Setting Name: | hal.log_flags
Identifier: | ALT_LOG_FLAGS
Default Value: | 0
Value: | 0
Type: | DecimalNumber
Destination: | public_mk_define
Description: | The value is assigned to ALT_LOG_FLAGS in the generated public.mk. See hal.log_port setting description. Values can be -1 through 3.
Restrictions: | hal.log_port must be set for this to be used.

Setting Name: | hal.log_port
Identifier: | none
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | public_mk_define
Description: | Slave descriptor of debug logging character-mode device. If defined, it enables extra debug messages in the HAL source. This setting is used by the ALT_LOG_PORT family of defines in system.h.
Restrictions: | none

Setting Name: | hal.make.ar
Identifier: | AR
Default Value: | nios2-elf-ar
Value: | nios2-elf-ar
Type: | UnquotedString
Destination: | makefile_variable
Description: | Archiver command. Creates library files.
Restrictions: | none

Setting Name: | hal.make.ar_post_process
Identifier: | AR_POST_PROCESS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Command executed after archiver execution.
Restrictions: | none

Setting Name: | hal.make.ar_pre_process
Identifier: | AR_PRE_PROCESS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Command executed before archiver execution.
Restrictions: | none

Setting Name: | hal.make.as
Identifier: | AS
Default Value: | nios2-elf-gcc
Value: | nios2-elf-gcc
Type: | UnquotedString
Destination: | makefile_variable
Description: | Assembler command. Note that CC is used for .S files.
Restrictions: | none

Setting Name: | hal.make.as_post_process
Identifier: | AS_POST_PROCESS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Command executed after each assembly file is compiled.
Restrictions: | none

Setting Name: | hal.make.as_pre_process
Identifier: | AS_PRE_PROCESS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Command executed before each assembly file is compiled.
Restrictions: | none

Setting Name: | hal.make.bsp_arflags
Identifier: | BSP_ARFLAGS
Default Value: | -src
Value: | -src
Type: | UnquotedString
Destination: | makefile_variable
Description: | Custom flags only passed to the archiver. This content of this variable is directly passed to the archiver rather than the more standard "ARFLAGS". The reason for this is that GNU Make assumes some default content in ARFLAGS. This setting defines the value of BSP_ARFLAGS in Makefile.
Restrictions: | none

Setting Name: | hal.make.bsp_asflags
Identifier: | BSP_ASFLAGS
Default Value: | -Wa,-gdwarf2
Value: | -Wa,-gdwarf2
Type: | UnquotedString
Destination: | makefile_variable
Description: | Custom flags only passed to the assembler. This setting defines the value of BSP_ASFLAGS in Makefile.
Restrictions: | none

Setting Name: | hal.make.bsp_cflags_debug
Identifier: | BSP_CFLAGS_DEBUG
Default Value: | -g
Value: | -g
Type: | UnquotedString
Destination: | makefile_variable
Description: | C/C++ compiler debug level. '-g' provides the default set of debug symbols typically required to debug a typical application. Omitting '-g' removes debug symbols from the ELF. This setting defines the value of BSP_CFLAGS_DEBUG in Makefile.
Restrictions: | none

Setting Name: | hal.make.bsp_cflags_defined_symbols
Identifier: | BSP_CFLAGS_DEFINED_SYMBOLS
Default Value: | none
Value: | -DTSE_MY_SYSTEM
Type: | UnquotedString
Destination: | makefile_variable
Description: | Preprocessor macros to define. A macro definition in this setting has the same effect as a "#define" in source code. Adding "-DALT_DEBUG" to this setting has the same effect as "#define ALT_DEBUG" in a souce file. Adding "-DFOO=1" to this setting is equivalent to the macro "#define FOO 1" in a source file. Macros defined with this setting are applied to all .S, .c, and C++ files in the BSP. This setting defines the value of BSP_CFLAGS_DEFINED_SYMBOLS in the BSP Makefile.
Restrictions: | none

Setting Name: | hal.make.bsp_cflags_optimization
Identifier: | BSP_CFLAGS_OPTIMIZATION
Default Value: | -O0
Value: | -O0
Type: | UnquotedString
Destination: | makefile_variable
Description: | C/C++ compiler optimization level. "-O0" = no optimization,"-O2" = "normal" optimization, etc. "-O0" is recommended for code that you want to debug since compiler optimization can remove variables and produce non-sequential execution of code while debugging. This setting defines the value of BSP_CFLAGS_OPTIMIZATION in Makefile.
Restrictions: | none

Setting Name: | hal.make.bsp_cflags_undefined_symbols
Identifier: | BSP_CFLAGS_UNDEFINED_SYMBOLS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Preprocessor macros to undefine. Undefined macros are similar to defined macros, but replicate the "#undef" directive in source code. To undefine the macro FOO use the syntax "-u FOO" in this setting. This is equivalent to "#undef FOO" in a source file. Note: the syntax differs from macro definition (there is a space, i.e. "-u FOO" versus "-DFOO"). Macros defined with this setting are applied to all .S, .c, and C++ files in the BSP. This setting defines the value of BSP_CFLAGS_UNDEFINED_SYMBOLS in the BSP Makefile.
Restrictions: | none

Setting Name: | hal.make.bsp_cflags_user_flags
Identifier: | BSP_CFLAGS_USER_FLAGS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Custom flags passed to the compiler when compiling C, C++, and .S files. This setting defines the value of BSP_CFLAGS_USER_FLAGS in Makefile.
Restrictions: | none

Setting Name: | hal.make.bsp_cflags_warnings
Identifier: | BSP_CFLAGS_WARNINGS
Default Value: | -Wall
Value: | -Wall
Type: | UnquotedString
Destination: | makefile_variable
Description: | C/C++ compiler warning level. "-Wall" is commonly used.This setting defines the value of BSP_CFLAGS_WARNINGS in Makefile.
Restrictions: | none

Setting Name: | hal.make.bsp_cxx_flags
Identifier: | BSP_CXXFLAGS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Custom flags only passed to the C++ compiler. This setting defines the value of BSP_CXXFLAGS in Makefile.
Restrictions: | none

Setting Name: | hal.make.bsp_inc_dirs
Identifier: | BSP_INC_DIRS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Space separated list of extra include directories to scan for header files. Directories are relative to the top-level BSP directory. The -I prefix's added by the makefile so don't add it here. This setting defines the value of BSP_INC_DIRS in Makefile.
Restrictions: | none

Setting Name: | hal.make.build_post_process
Identifier: | BUILD_POST_PROCESS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Command executed after BSP built.
Restrictions: | none

Setting Name: | hal.make.build_pre_process
Identifier: | BUILD_PRE_PROCESS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Command executed before BSP built.
Restrictions: | none

Setting Name: | hal.make.cc
Identifier: | CC
Default Value: | nios2-elf-gcc -xc
Value: | nios2-elf-gcc -xc
Type: | UnquotedString
Destination: | makefile_variable
Description: | C compiler command.
Restrictions: | none

Setting Name: | hal.make.cc_post_process
Identifier: | CC_POST_PROCESS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Command executed after each .c/.S file is compiled.
Restrictions: | none

Setting Name: | hal.make.cc_pre_process
Identifier: | CC_PRE_PROCESS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Command executed before each .c/.S file is compiled.
Restrictions: | none

Setting Name: | hal.make.cflags_mgpopt
Identifier: | CFLAGS_MGPOPT
Default Value: | -mgpopt=global
Value: | -mgpopt=global
Type: | UnquotedString
Destination: | public_mk_define
Description: | C/C++ compiler to generate (do not generate) GP-relative accesses. 'none' tells the compilter not to generate GP-relative accesses. 'local' will generate GP-relative accesses for small data objects that are not external, weak, or uninitialized common symbols. Also use GP-relative addressing for objects that have been explicitly placed in a small data section via a section attribute. provides the default set of debug symbols typically required to debug a typical application. 'global' is same as 'local' but also generate GP-relative accesses for small data objects that are external, weak, or common.
Restrictions: | none

Setting Name: | hal.make.cxx
Identifier: | CXX
Default Value: | nios2-elf-gcc -xc++
Value: | nios2-elf-gcc -xc++
Type: | UnquotedString
Destination: | makefile_variable
Description: | C++ compiler command.
Restrictions: | none

Setting Name: | hal.make.cxx_post_process
Identifier: | CXX_POST_PROCESS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Command executed before each C++ file is compiled.
Restrictions: | none

Setting Name: | hal.make.cxx_pre_process
Identifier: | CXX_PRE_PROCESS
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | makefile_variable
Description: | Command executed before each C++ file is compiled.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.big_endian
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query if SOPC system is big endian. If true ignores export of 'ALT_CFLAGS += -meb' to public.mk if big endian system.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.bmx_present
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | If true, prevents GCC from using BMX instructions. If false, GCC uses BMX instructions if present in the CPU.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.cdx_present
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | If true, prevents GCC from using CDX instructions. If false, GCC uses CDX instructions if present in the CPU.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.debug_core_present
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query if SOPC system has a debug core present. If true ignores export of 'CPU_HAS_DEBUG_CORE = 1' to public.mk if a debug core is found in the system. If true ignores export of 'CPU_HAS_DEBUG_CORE = 0' if no debug core is found in the system.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.fpu_present
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query if SOPC system has FPU present. If true ignores export of 'ALT_CFLAGS += -mhard-float' to public.mk if FPU is found in the system. If true ignores export of 'ALT_CFLAGS += -mhard-soft' if FPU is not found in the system.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.hardware_divide_present
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query if SOPC system has hardware divide present. If true ignores export of 'ALT_CFLAGS += -mno-hw-div' to public.mk if no division is found in system. If true ignores export of 'ALT_CFLAGS += -mhw-div' if division is found in the system.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.hardware_fp_cust_inst_divider_present
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query if SOPC system floating point custom instruction with a divider is present. If true ignores export of 'ALT_CFLAGS += -mcustom-fpu-cfg=60-2' and 'ALT_LDFLAGS += -mcustom-fpu-cfg=60-2' to public.mk if the custom instruction is found in the system.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.hardware_fp_cust_inst_no_divider_present
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query if SOPC system floating point custom instruction without a divider is present. If true ignores export of 'ALT_CFLAGS += -mcustom-fpu-cfg=60-1' and 'ALT_LDFLAGS += -mcustom-fpu-cfg=60-1' to public.mk if the custom instruction is found in the system.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.hardware_multiplier_present
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query if SOPC system has multiplier present. If true ignores export of 'ALT_CFLAGS += -mno-hw-mul' to public.mk if no multiplier is found in the system. If true ignores export of 'ALT_CFLAGS += -mhw-mul' if multiplier is found in the system.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.hardware_mulx_present
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query if SOPC system has hardware mulx present. If true ignores export of 'ALT_CFLAGS += -mno-hw-mulx' to public.mk if no mulx is found in the system. If true ignores export of 'ALT_CFLAGS += -mhw-mulx' if mulx is found in the system.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.sopc_simulation_enabled
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query if SOPC system has simulation enabled. If true ignores export of 'ELF_PATCH_FLAG += --simulation_enabled' to public.mk.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.sopc_system_base_address
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query SOPC system for system ID base address. If true ignores export of 'SOPC_SYSID_FLAG += --sidp=<address>' and 'ELF_PATCH_FLAG += --sidp=<address>' to public.mk.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.sopc_system_id
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query SOPC system for system ID. If true ignores export of 'SOPC_SYSID_FLAG += --id=<sysid>' and 'ELF_PATCH_FLAG += --id=<sysid>' to public.mk.
Restrictions: | none

Setting Name: | hal.make.ignore_system_derived.sopc_system_timestamp
Identifier: | none
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | public_mk_define
Description: | Enable BSP generation to query SOPC system for system timestamp. If true ignores export of 'SOPC_SYSID_FLAG += --timestamp=<timestamp>' and 'ELF_PATCH_FLAG += --timestamp=<timestamp>' to public.mk.
Restrictions: | none

Setting Name: | hal.make.rm
Identifier: | RM
Default Value: | rm -f
Value: | rm -f
Type: | UnquotedString
Destination: | makefile_variable
Description: | Command used to remove files during 'clean' target.
Restrictions: | none

Setting Name: | hal.max_file_descriptors
Identifier: | ALT_MAX_FD
Default Value: | 32
Value: | 32
Type: | DecimalNumber
Destination: | system_h_define
Description: | Determines the number of file descriptors statically allocated. This setting defines the value of ALT_MAX_FD in system.h.
Restrictions: | If hal.enable_lightweight_device_driver_api is true, there are no file descriptors so this setting is ignored. If hal.enable_lightweight_device_driver_api is false, this setting must be at least 4 because HAL needs a file descriptor for /dev/null, /dev/stdin, /dev/stdout, and /dev/stderr.

Setting Name: | hal.stderr
Identifier: | none
Default Value: | none
Value: | peripheral_jtag_uart
Type: | UnquotedString
Destination: | system_h_define
Description: | Slave descriptor of STDERR character-mode device. This setting is used by the ALT_STDERR family of defines in system.h.
Restrictions: | none

Setting Name: | hal.stdin
Identifier: | none
Default Value: | none
Value: | peripheral_jtag_uart
Type: | UnquotedString
Destination: | system_h_define
Description: | Slave descriptor of STDIN character-mode device. This setting is used by the ALT_STDIN family of defines in system.h.
Restrictions: | none

Setting Name: | hal.stdout
Identifier: | none
Default Value: | none
Value: | peripheral_jtag_uart
Type: | UnquotedString
Destination: | system_h_define
Description: | Slave descriptor of STDOUT character-mode device. This setting is used by the ALT_STDOUT family of defines in system.h.
Restrictions: | none

Setting Name: | hal.sys_clk_timer
Identifier: | ALT_SYS_CLK
Default Value: | none
Value: | peripheral_sys_clk_timer
Type: | UnquotedString
Destination: | system_h_define
Description: | Slave descriptor of the system clock timer device. This device provides a periodic interrupt ("tick") and is typically required for RTOS use. This setting defines the value of ALT_SYS_CLK in system.h.
Restrictions: | none

Setting Name: | hal.timestamp_timer
Identifier: | ALT_TIMESTAMP_CLK
Default Value: | none
Value: | none
Type: | UnquotedString
Destination: | system_h_define
Description: | Slave descriptor of timestamp timer device. This device is used by Altera HAL timestamp drivers for high-resolution time measurement. This setting defines the value of ALT_TIMESTAMP_CLK in system.h.
Restrictions: | none

Setting Name: | ucosii.event_flag.os_flag_accept_en
Identifier: | OS_FLAG_ACCEPT_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSFlagAccept(). CAUTION: This is required by the HAL and many Altera device drivers.
Restrictions: | none

Setting Name: | ucosii.event_flag.os_flag_del_en
Identifier: | OS_FLAG_DEL_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSFlagDel(). CAUTION: This is required by the HAL and many Altera device drivers.
Restrictions: | none

Setting Name: | ucosii.event_flag.os_flag_name_size
Identifier: | OS_FLAG_NAME_SIZE
Default Value: | 32
Value: | 32
Type: | DecimalNumber
Destination: | system_h_define
Description: | Size of name of Event Flags group. CAUTION: This is required by the HAL and many Altera device drivers; use caution in reducing this value.
Restrictions: | none

Setting Name: | ucosii.event_flag.os_flag_query_en
Identifier: | OS_FLAG_QUERY_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSFlagQuery(). CAUTION: This is required by the HAL and many Altera device drivers.
Restrictions: | none

Setting Name: | ucosii.event_flag.os_flag_wait_clr_en
Identifier: | OS_FLAG_WAIT_CLR_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for Wait on Clear Event Flags. CAUTION: This is required by the HAL and many Altera device drivers.
Restrictions: | none

Setting Name: | ucosii.event_flag.os_flags_nbits
Identifier: | OS_FLAGS_NBITS
Default Value: | 16
Value: | 16
Type: | DecimalNumber
Destination: | system_h_define
Description: | Event Flag bits (8,16,32). CAUTION: This is required by the HAL and many Altera device drivers; use caution in changing this value.
Restrictions: | none

Setting Name: | ucosii.event_flag.os_max_flags
Identifier: | OS_MAX_FLAGS
Default Value: | 20
Value: | 20
Type: | DecimalNumber
Destination: | system_h_define
Description: | Maximum number of Event Flags groups. CAUTION: This is required by the HAL and many Altera device drivers; use caution in reducing this value.
Restrictions: | none

Setting Name: | ucosii.mailbox.os_mbox_accept_en
Identifier: | OS_MBOX_ACCEPT_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSMboxAccept()
Restrictions: | none

Setting Name: | ucosii.mailbox.os_mbox_del_en
Identifier: | OS_MBOX_DEL_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSMboxDel()
Restrictions: | none

Setting Name: | ucosii.mailbox.os_mbox_post_en
Identifier: | OS_MBOX_POST_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSMboxPost()
Restrictions: | none

Setting Name: | ucosii.mailbox.os_mbox_post_opt_en
Identifier: | OS_MBOX_POST_OPT_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSMboxPostOpt()
Restrictions: | none

Setting Name: | ucosii.mailbox.os_mbox_query_en
Identifier: | OS_MBOX_QUERY_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSMboxQuery()
Restrictions: | none

Setting Name: | ucosii.memory.os_max_mem_part
Identifier: | OS_MAX_MEM_PART
Default Value: | 60
Value: | 60
Type: | DecimalNumber
Destination: | system_h_define
Description: | Maximum number of memory partitions
Restrictions: | none

Setting Name: | ucosii.memory.os_mem_name_size
Identifier: | OS_MEM_NAME_SIZE
Default Value: | 32
Value: | 32
Type: | DecimalNumber
Destination: | system_h_define
Description: | Size of memory partition name
Restrictions: | none

Setting Name: | ucosii.memory.os_mem_query_en
Identifier: | OS_MEM_QUERY_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSMemQuery()
Restrictions: | none

Setting Name: | ucosii.miscellaneous.os_arg_chk_en
Identifier: | OS_ARG_CHK_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Enable argument checking
Restrictions: | none

Setting Name: | ucosii.miscellaneous.os_cpu_hooks_en
Identifier: | OS_CPU_HOOKS_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Enable uCOS-II hooks
Restrictions: | none

Setting Name: | ucosii.miscellaneous.os_debug_en
Identifier: | OS_DEBUG_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Enable debug variables
Restrictions: | none

Setting Name: | ucosii.miscellaneous.os_event_name_size
Identifier: | OS_EVENT_NAME_SIZE
Default Value: | 32
Value: | 32
Type: | DecimalNumber
Destination: | system_h_define
Description: | Size of name of Event Control Block groups
Restrictions: | none

Setting Name: | ucosii.miscellaneous.os_max_events
Identifier: | OS_MAX_EVENTS
Default Value: | 60
Value: | 60
Type: | DecimalNumber
Destination: | system_h_define
Description: | Maximum number of event control blocks
Restrictions: | none

Setting Name: | ucosii.miscellaneous.os_sched_lock_en
Identifier: | OS_SCHED_LOCK_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSSchedLock() and OSSchedUnlock()
Restrictions: | none

Setting Name: | ucosii.miscellaneous.os_task_idle_stk_size
Identifier: | OS_TASK_IDLE_STK_SIZE
Default Value: | 512
Value: | 512
Type: | DecimalNumber
Destination: | system_h_define
Description: | Idle task stack size
Restrictions: | none

Setting Name: | ucosii.miscellaneous.os_task_stat_en
Identifier: | OS_TASK_STAT_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Enable statistics task
Restrictions: | none

Setting Name: | ucosii.miscellaneous.os_task_stat_stk_chk_en
Identifier: | OS_TASK_STAT_STK_CHK_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Check task stacks from statistics task
Restrictions: | none

Setting Name: | ucosii.miscellaneous.os_task_stat_stk_size
Identifier: | OS_TASK_STAT_STK_SIZE
Default Value: | 512
Value: | 512
Type: | DecimalNumber
Destination: | system_h_define
Description: | Statistics task stack size
Restrictions: | none

Setting Name: | ucosii.miscellaneous.os_tick_step_en
Identifier: | OS_TICK_STEP_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Enable tick stepping feature for uCOS-View
Restrictions: | none

Setting Name: | ucosii.mutex.os_mutex_accept_en
Identifier: | OS_MUTEX_ACCEPT_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSMutexAccept()
Restrictions: | none

Setting Name: | ucosii.mutex.os_mutex_del_en
Identifier: | OS_MUTEX_DEL_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSMutexDel()
Restrictions: | none

Setting Name: | ucosii.mutex.os_mutex_query_en
Identifier: | OS_MUTEX_QUERY_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSMutexQuery
Restrictions: | none

Setting Name: | ucosii.os_flag_en
Identifier: | OS_FLAG_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Enable code for Event Flags. CAUTION: This is required by the HAL and many Altera device drivers.
Restrictions: | none

Setting Name: | ucosii.os_lowest_prio
Identifier: | OS_LOWEST_PRIO
Default Value: | 20
Value: | 20
Type: | DecimalNumber
Destination: | system_h_define
Description: | Lowest assignable priority
Restrictions: | none

Setting Name: | ucosii.os_max_tasks
Identifier: | OS_MAX_TASKS
Default Value: | 10
Value: | 10
Type: | DecimalNumber
Destination: | system_h_define
Description: | Maximum number of tasks
Restrictions: | none

Setting Name: | ucosii.os_mbox_en
Identifier: | OS_MBOX_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Enable code for mailboxes
Restrictions: | none

Setting Name: | ucosii.os_mem_en
Identifier: | OS_MEM_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Enable code for memory management
Restrictions: | none

Setting Name: | ucosii.os_mutex_en
Identifier: | OS_MUTEX_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Enable code for Mutex Semaphores
Restrictions: | none

Setting Name: | ucosii.os_q_en
Identifier: | OS_Q_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Enable code for Queues
Restrictions: | none

Setting Name: | ucosii.os_sem_en
Identifier: | OS_SEM_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Enable code for semaphores. CAUTION: This is required by the HAL and many Altera device drivers.
Restrictions: | none

Setting Name: | ucosii.os_thread_safe_newlib
Identifier: | OS_THREAD_SAFE_NEWLIB
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Thread safe C library
Restrictions: | none

Setting Name: | ucosii.os_tmr_en
Identifier: | OS_TMR_EN
Default Value: | 0
Value: | 0
Type: | Boolean
Destination: | system_h_define
Description: | Enable code for timers
Restrictions: | none

Setting Name: | ucosii.queue.os_max_qs
Identifier: | OS_MAX_QS
Default Value: | 20
Value: | 20
Type: | DecimalNumber
Destination: | system_h_define
Description: | Maximum number of Queue Control Blocks
Restrictions: | none

Setting Name: | ucosii.queue.os_q_accept_en
Identifier: | OS_Q_ACCEPT_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSQAccept()
Restrictions: | none

Setting Name: | ucosii.queue.os_q_del_en
Identifier: | OS_Q_DEL_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSQDel()
Restrictions: | none

Setting Name: | ucosii.queue.os_q_flush_en
Identifier: | OS_Q_FLUSH_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSQFlush()
Restrictions: | none

Setting Name: | ucosii.queue.os_q_post_en
Identifier: | OS_Q_POST_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code of OSQFlush()
Restrictions: | none

Setting Name: | ucosii.queue.os_q_post_front_en
Identifier: | OS_Q_POST_FRONT_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSQPostFront()
Restrictions: | none

Setting Name: | ucosii.queue.os_q_post_opt_en
Identifier: | OS_Q_POST_OPT_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSQPostOpt()
Restrictions: | none

Setting Name: | ucosii.queue.os_q_query_en
Identifier: | OS_Q_QUERY_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSQQuery()
Restrictions: | none

Setting Name: | ucosii.semaphore.os_sem_accept_en
Identifier: | OS_SEM_ACCEPT_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSSemAccept(). CAUTION: This is required by the HAL and many Altera device drivers.
Restrictions: | none

Setting Name: | ucosii.semaphore.os_sem_del_en
Identifier: | OS_SEM_DEL_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSSemDel(). CAUTION: This is required by the HAL and many Altera device drivers.
Restrictions: | none

Setting Name: | ucosii.semaphore.os_sem_query_en
Identifier: | OS_SEM_QUERY_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSSemQuery(). CAUTION: This is required by the HAL and many Altera device drivers.
Restrictions: | none

Setting Name: | ucosii.semaphore.os_sem_set_en
Identifier: | OS_SEM_SET_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSSemSet(). CAUTION: This is required by the HAL and many Altera device drivers.
Restrictions: | none

Setting Name: | ucosii.task.os_task_change_prio_en
Identifier: | OS_TASK_CHANGE_PRIO_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSTaskChangePrio()
Restrictions: | none

Setting Name: | ucosii.task.os_task_create_en
Identifier: | OS_TASK_CREATE_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSTaskCreate()
Restrictions: | none

Setting Name: | ucosii.task.os_task_create_ext_en
Identifier: | OS_TASK_CREATE_EXT_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSTaskCreateExt()
Restrictions: | none

Setting Name: | ucosii.task.os_task_del_en
Identifier: | OS_TASK_DEL_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSTaskDel()
Restrictions: | none

Setting Name: | ucosii.task.os_task_name_size
Identifier: | OS_TASK_NAME_SIZE
Default Value: | 32
Value: | 32
Type: | DecimalNumber
Destination: | system_h_define
Description: | Size of task name
Restrictions: | none

Setting Name: | ucosii.task.os_task_profile_en
Identifier: | OS_TASK_PROFILE_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include data structure for run-time task profiling
Restrictions: | none

Setting Name: | ucosii.task.os_task_query_en
Identifier: | OS_TASK_QUERY_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSTaskQuery
Restrictions: | none

Setting Name: | ucosii.task.os_task_suspend_en
Identifier: | OS_TASK_SUSPEND_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSTaskSuspend() and OSTaskResume()
Restrictions: | none

Setting Name: | ucosii.task.os_task_sw_hook_en
Identifier: | OS_TASK_SW_HOOK_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSTaskSwHook()
Restrictions: | none

Setting Name: | ucosii.time.os_time_dly_hmsm_en
Identifier: | OS_TIME_DLY_HMSM_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSTimeDlyHMSM()
Restrictions: | none

Setting Name: | ucosii.time.os_time_dly_resume_en
Identifier: | OS_TIME_DLY_RESUME_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSTimeDlyResume()
Restrictions: | none

Setting Name: | ucosii.time.os_time_get_set_en
Identifier: | OS_TIME_GET_SET_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSTimeGet and OSTimeSet()
Restrictions: | none

Setting Name: | ucosii.time.os_time_tick_hook_en
Identifier: | OS_TIME_TICK_HOOK_EN
Default Value: | 1
Value: | 1
Type: | Boolean
Destination: | system_h_define
Description: | Include code for OSTimeTickHook()
Restrictions: | none

Setting Name: | ucosii.timer.os_task_tmr_prio
Identifier: | OS_TASK_TMR_PRIO
Default Value: | 0
Value: | 0
Type: | DecimalNumber
Destination: | system_h_define
Description: | Priority of timer task (0=highest)
Restrictions: | none

Setting Name: | ucosii.timer.os_task_tmr_stk_size
Identifier: | OS_TASK_TMR_STK_SIZE
Default Value: | 512
Value: | 512
Type: | DecimalNumber
Destination: | system_h_define
Description: | Stack size for timer task
Restrictions: | none

Setting Name: | ucosii.timer.os_tmr_cfg_max
Identifier: | OS_TMR_CFG_MAX
Default Value: | 16
Value: | 16
Type: | DecimalNumber
Destination: | system_h_define
Description: | Maximum number of timers
Restrictions: | none

Setting Name: | ucosii.timer.os_tmr_cfg_name_size
Identifier: | OS_TMR_CFG_NAME_SIZE
Default Value: | 16
Value: | 16
Type: | DecimalNumber
Destination: | system_h_define
Description: | Size of timer name
Restrictions: | none

Setting Name: | ucosii.timer.os_tmr_cfg_ticks_per_sec
Identifier: | OS_TMR_CFG_TICKS_PER_SEC
Default Value: | 10
Value: | 10
Type: | DecimalNumber
Destination: | system_h_define
Description: | Rate at which timer management task runs (Hz)
Restrictions: | none

Setting Name: | ucosii.timer.os_tmr_cfg_wheel_size
Identifier: | OS_TMR_CFG_WHEEL_SIZE
Default Value: | 2
Value: | 2
Type: | DecimalNumber
Destination: | system_h_define
Description: | Size of timer wheel (number of spokes)
Restrictions: | none